import { AuthType } from '@genesislcap/foundation-comms';
/**
 * Default AuthMachineContext.
 * @public
 */
export const defaultAuthMachineContext = {
    params: undefined,
    dto: undefined,
    entity: undefined,
    user: undefined,
};
/**
 * isLoginParams.
 * @param params - Potential LoginParams.
 * @public
 */
export function isLoginParams(params) {
    const loginParams = params;
    return (loginParams === null || loginParams === void 0 ? void 0 : loginParams.type) && Object.keys(AuthType).includes(loginParams.type);
}
/**
 * isQueryParams.
 * @param params - Potential QueryParams.
 * @public
 */
export function isQueryParams(params) {
    const queryParams = params;
    return queryParams && (queryParams.SSO_TOKEN !== undefined || queryParams.MFA_CODE !== undefined);
}
