import { __decorate } from "tslib";
import { customElement } from '@microsoft/fast-element';
import { SOCKET_URL } from '../../env';
import { commonStyles } from '../../styles';
import { BaseRoute } from '../base';
import { ProtectedTemplate as template } from './protected.template';
let Protected = class Protected extends BaseRoute {
    onLogout() {
        this.$emit('auth-logout');
    }
    onOpenSocketTest() {
        this.connect.connect(SOCKET_URL);
    }
    onCloseSocketTest() {
        this.connect.disconnect();
    }
};
Protected = __decorate([
    customElement({
        name: 'foundation-auth-protected',
        template,
        styles: commonStyles,
    })
], Protected);
export { Protected };
